/*------------------------- SHARFORM.H -------------------------*/
/*								*/
/*  This file contains definitions used for the form library	*/
/*  that are needed both internally by the library and also	*/
/*  by the user of the library.					*/
/*								*/
/*         Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/05/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/

#ifndef SHARFORM_H     /* Prevent re-including this file! */

#define SHARFORM_H   1

			/* Error Return Values */

#define FORM_USER_ABORT        USER_ABORT   /* User aborted out of a form   */

#define FORM_ERR_NO_ERR        ERR_NONE     /* Success			    */

#define FORM_ERR_ALLOC_FORM    (ERR_FORM-0) /* No heap for form definition  */
#define FORM_ERR_ALLOC_FIELD   (ERR_FORM-1) /* No heap for field definition */
#define FORM_ERR_BAD_HEAD      (ERR_FORM-2) /* Ptr was not a form head	    */
#define FORM_ERR_BAD_FIELD     (ERR_FORM-3) /* Ptr was not a form field     */
#define FORM_ERR_BAD_TEXT      (ERR_FORM-4) /* Illegal char rec'vd as data  */
#define FORM_ERR_INVALID_ENTRY (ERR_FORM-5) /* Field contents not legal     */

#endif
