/*------------------------- SHARLIST.H -------------------------*/
/*								*/
/*  This file contains definitions used for the list library	*/
/*  that are needed both internally by the library and also	*/
/*  by the user of the library.					*/
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/05/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/

#ifndef SHARLIST_H     /* Prevent re-including this file! */

#define SHARLIST_H   1

                /* Include Files */
#include "USERWIND.H"                   /* Window Library Definitions */

		/* Error Codes */
#define LIST_USER_ABORT    USER_ABORT     /* User aborted out of list select */

#define LIST_ERR_NO_ERR    (ERR_NONE)        /* Success                      */
#define LIST_ERR_BAD_LINK  (ERR_LIST-0)      /* Pointer to list link is bad. */
#define LIST_ERR_BAD_HEAD  (ERR_LIST-1)      /* Pointer to list head is bad. */

#define LIST_ERR_ALLOC_LINK     (ERR_LIST-2) /* Out of heap for link alloc.  */
#define LIST_ERR_ALLOC_LIST     (ERR_LIST-3) /* Out of heap for head alloc.  */
#define LIST_ERR_LIST_TOO_SHORT (ERR_LIST-4) /* List shorter than needed #.  */
#define LIST_ERR_ITEM_NOT_FOUND (ERR_LIST-5) /* Searched item not found.     */
#define LIST_ERR_EMPTY          (ERR_LIST-6) /* List passed for op. is empty.*/


#endif
