/*------------------------- SHARMENU.H -------------------------*/
/*								*/
/*  This file contains definitions used for the menu library	*/
/*  that are needed both internally by the library and also	*/
/*  by the user of the library.					*/
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/05/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/

#ifndef SHARMENU_H     /* Prevent re-including this file! */

#define SHARMENU_H   1

		/* Constants */



		/* Error Codes */

#define MENU_USER_ABORT 	USER_ABORT   /*User aborted out of a menu*/

#define MENU_ERR_NO_ERR 	  ERR_NONE   /*No error */

#define MENU_ERR_BAD_HEAD      (ERR_MENU-0)  /*Menu header pointer is illegal */
#define MENU_ERR_BAD_IPTR      (ERR_MENU-1)  /*Menu item pointer is illegal   */
#define MENU_ERR_BAD_COORD     (ERR_MENU-2)  /*Illegal window coordinates     */
#define MENU_ERR_BAD_FILE      (ERR_MENU-3)  /*Unable to open menu descr. file*/
#define MENU_ERR_ALLOC_STR     (ERR_MENU-4)  /*Allocation error 	      */
#define MENU_ERR_ALLOC_ITEM    (ERR_MENU-5)  /*Allocation error 	      */
#define MENU_ERR_ALLOC_MENU    (ERR_MENU-6)  /*Allocation error 	      */
#define MENU_ERR_BAD_LINK      (ERR_MENU-7)  /*Desired link not found	      */
#define MENU_ERR_BAD_LIST      (ERR_MENU-8)  /*Menu list empty		      */
#define MENU_ERR_ALLOC_MENUBAR (ERR_MENU-9)  /*Allocation error 	      */
#define MENU_ERR_BAD_BARHEAD   (ERR_MENU-10) /*Menubar header ptr is illegal  */
#define MENU_ERR_BAD_BARMENU   (ERR_MENU-11) /*Empty menu bar list/bad index  */

#endif
