/*--------------------------- VIS.H ----------------------------*/
/*								*/
/*         Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  09/11/90   DCV      Release.                                */
/*								*/
/*--------------------------------------------------------------*/

#ifndef VIS_H

#define VIS_H  1      /* Flag to prevent re-including this file */


/*-------------------*/
/* Compilation Flags */
/*-------------------*/
#define MOUSE_DEF     1     /* Add mouse support if not 0              */
#define RANGE_CHECKS  1     /* Add range and structure checks if not 0 */


			/*  Macros  */
#define CHECK(status)           if (status != 0) goto exit;
#define	ERR(_errnumber_) { status = _errnumber_; goto exit; }


                /* General definitions of TRUE and FALSE */
#define FALSE   (FLAG)0
#define TRUE    (FLAG)1
#define OFF     (FLAG)0
#define ON      (FLAG)1


        /* Standard types. */

#define GLOBAL		extern
#define IMPORT		extern
#define INTERN		static
#define LOCAL		static


/*      Pseudo types       */

typedef unsigned char   TEXT;   /* Character or part of a string */
typedef char		BYTE;	/* Signed byte */
typedef unsigned char   UBYTE;  /* Unsigned byte used for a quantity */
typedef short		WORD;	/* Signed 16 bit value */
typedef unsigned short	UWORD;	/* Unsigned 16 bit value */
typedef long            DWORD;  /* Signed 32 bit value */
typedef unsigned long   UDWORD; /* Unsigned 32 bit value */
typedef unsigned char	TBITS;	/* Unsigned byte for bit manipulation */
typedef unsigned int	BITS;	/*    "     word  "   "        "      */
typedef char		FLAG;	/* Byte only tested for zero, non- zero */
typedef void            VOID;   /* Used for functions that return nothing */



        /* Error Values */
#define USER_ABORT     -1     /* Standard user abort code          */

#define ERR_NONE        0     /* Standard success value            */

#define ERR_LIST     -100     /* Base of list errors               */
#define ERR_WINDOW   -200     /* Base of window errors             */
#define ERR_MENU     -300     /* Base of menu errors               */
#define ERR_FORM     -400     /* Base of form errors               */
#define ERR_COMPSPEC -500     /* Base of compiler specific errors  */
#define ERR_MOUSE    -600     /* Base of mouse errors              */

#endif

